﻿using System;
using HeuristicLab.Core;

namespace HeuristicLab.Problems.MetaOptimization {
  public interface IValueConfiguration : IItem {
    IItem Value { get; set; }
    Type ValueDataType { get; }
    IItemList<IParameterConfiguration> ParameterConfigurations { get; }

    event EventHandler ValueChanged;
  }
}
