﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;

namespace HeuristicLab.Problems.MetaOptimization.Views.ValueConfigurationViews {
  [View("ValueConfiguration View")]
  [Content(typeof(IValueConfiguration), false)]
  [Content(typeof(ValueConfiguration), true)]
  public partial class ValueConfigurationView : ItemView {
    public new IValueConfiguration Content {
      get { return (IValueConfiguration)base.Content; }
      set { base.Content = value; }
    }

    public ValueConfigurationView() {
      InitializeComponent();
    }

    protected override void OnContentChanged() {
      base.OnContentChanged();
      if (Content != null) {
        this.viewHost.Content = Content.ParameterConfigurations;
      } else {
        this.viewHost.Content = null;
      }
      SetEnabledStateOfControls();
    }
  }
}
